package agence;
import java.sql.*;
import javax.swing.*;
import javax.swing.table.*;
import java.lang.reflect.*;
import java.util.StringTokenizer;
import java.util.Calendar;
import java.util.GregorianCalendar;

public class Gestion {

  public static final int INSERT_UPDATE = 0;
  public static final int DELETE_UPDATE = 1;

 public static void gestionRequeteNonParametree (JFrame frame,
      Connection conn, Class c) {

    Object o = null;

    try {
      o = c.getConstructors()[0].newInstance(new Object[] {conn, frame});
    }
    catch (Exception ex) {
      ex.printStackTrace();
      JOptionPane.showMessageDialog(frame, "constructeur non prsent",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    JTable table = new JTable( (TableModel) o);
    TablePanel panel = new TablePanel(table);
    frame.setContentPane(panel);
    frame.validate();
    frame.repaint();

  }

  public static void gestionRequeteParametree (JFrame frame, Connection conn,
                                                 Class c) {

    Field valueNamesField = null;
    Field valueTypesField = null;
    String[] valueNames = null;
    int[] valueTypes = null;
    Object[] values = null;

    try {
      valueNamesField = c.getField("valueNames");
    }
    catch (Exception ex) {
      ex.printStackTrace();
      JOptionPane.showMessageDialog(frame,
                                    "constante 'valueNames' non prsente",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    try {
      valueTypesField = c.getField("valueTypes");
    }
    catch (Exception ex1) {
      ex1.printStackTrace();
      JOptionPane.showMessageDialog(frame,
                                    "constante 'valueTypes' non prsente",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    try {
      valueNames = (String[]) valueNamesField.get(null);
      valueTypes = (int[]) valueTypesField.get(null);
    }
    catch (Exception ex2) {
      ex2.printStackTrace();
      System.exit(1);
    }

    values = new Object[valueNames.length];

    for (int i = 0; i < valueNames.length; i++) {

      String message = "Veuillez entrer une valeur de type ";
      switch (valueTypes[i]) {
        case Types.INTEGER:
          message += "INTEGER ";
          break;
        case Types.REAL:
          message += "REAL ";
          break;
        case Types.VARCHAR:
          message += "VARCHAR ";
          break;
        case Types.DATE:
          message += "DATE (de la forme DD-MON-YYYY) ";
          break;
      }
      message += " pour le paramtre " + valueNames[i];

      String stringValue = JOptionPane.showInputDialog(frame, message,
          "Saisie de valeur",
          JOptionPane.QUESTION_MESSAGE);

      // si l'utilisateur a choisi CANCEL
      if (stringValue == null) {
        // on abandonne la requte
        return;
      }

      // sinon
      try {
        switch (valueTypes[i]) {
          case Types.INTEGER:
            values[i] = new Integer(stringValue);
            break;
          case Types.REAL:
            values[i] = new Float(stringValue);
            break;
          case Types.VARCHAR:
            values[i] = stringValue;
            break;
          case Types.DATE:
            values[i] = Utils.stringToDate(stringValue);
            break;
        }
      }
      // si valeur saisie est incorrecte
      catch (Exception e) {
        JOptionPane.showMessageDialog(frame,
                                      "Valeur incorrecte",
                                      "Erreur", JOptionPane.WARNING_MESSAGE);
        return; // on abandonne la requte
      }
    } // fin du for, on a recupere toutes les valeurs

    Object o = null;

    try {
      o = c.getConstructors()[0].newInstance(new Object[] {conn, frame, values});
    }
    catch (Exception ex) {
      ex.printStackTrace();
      JOptionPane.showMessageDialog(frame, "constructeur non prsent",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    JTable table = new JTable( (TableModel) o);
    TablePanel panel = new TablePanel(table);
    frame.setContentPane(panel);
    frame.validate();
    frame.repaint();

  }

  public static void gestionAjout (JFrame frame, Connection conn,
                                          Class c) {
   gestionMiseAJour(frame, conn, c, INSERT_UPDATE);
  }

  public static void gestionSuppression (JFrame frame, Connection conn,
                                          Class c) {
    gestionMiseAJour(frame, conn, c, DELETE_UPDATE);
  }

  public static void gestionMiseAJour (JFrame frame, Connection conn,
                                          Class c, int updateType) {

    Field valueNamesField = null;
    Field valueTypesField = null;
    Field requestField = null;
    String[] valueNames = null;
    int[] valueTypes = null;
    String request = null;

    try {
      valueNamesField = c.getField("valueNames");
    }
    catch (Exception ex) {
      ex.printStackTrace();
      JOptionPane.showMessageDialog(frame,
                                    "constante 'valueNames' non prsente",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    try {
      valueTypesField = c.getField("valueTypes");
    }
    catch (Exception ex1) {
      ex1.printStackTrace();
      JOptionPane.showMessageDialog(frame,
                                    "constante 'valueTypes' non prsente",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    try {
      requestField = c.getField("request");
    }
    catch (Exception ex1) {
      ex1.printStackTrace();
      JOptionPane.showMessageDialog(frame,
                                    "constante 'request' non prsente",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    try {
      valueNames = (String[]) valueNamesField.get(null);
      valueTypes = (int[]) valueTypesField.get(null);
      request = (String) requestField.get(null);
    }
    catch (Exception ex2) {
      ex2.printStackTrace();
      System.exit(1);
    }

    String [][] emptyCells = new String[30][valueNames.length];
    for (int i = 0; i < 30; i++) {
      for (int j = 0; j < valueNames.length; j++) {
        emptyCells[i][j] = null;
      }
    }
    JTable table = new JTable(emptyCells, valueNames);
    MAJTablePanel panel = new MAJTablePanel(frame, conn, table, valueNames, valueTypes,
                                                  request, updateType);
    frame.setContentPane(panel);
    frame.validate();
    frame.repaint();

  }

  

}
