package agence;
import javax.swing.*;
import java.sql.*;

public class MAJTable {

  public MAJTable (final JFrame frame, final Connection conn,
                       final JTable table,
                       final String[] valueNames, final int[] valueTypes,
                       final String request) {

    PreparedStatement preparedStatement = null;
    int nbRows = table.getRowCount();
    int nbColumns = table.getColumnCount();

    try {
      preparedStatement = conn.prepareStatement(request);
    }
    catch (SQLException e) {
      e.printStackTrace();
      JOptionPane.showMessageDialog(frame,
                                    "Ne peut crer de PreparedStatement",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    // pour toutes les lignes
    for (int i = 0; i < nbRows; i++) {

      int j = 0;

      while (j < nbColumns && table.getValueAt(i, j) == null) {
        j++;
      }
      // si la table contient une ligne vide
      if (j < nbColumns) {

        // on met la table  jour avec les valeurs de cette ligne
        for (j = 0; j < nbColumns; j++) {

          if (table.getValueAt(i, j) == null) {
            try {
              preparedStatement.setNull(j + 1, valueTypes[j]);
              System.out.println("NULL et j = " + j + "et nbColumns = " +
                                 nbColumns);
            }
            catch (SQLException e) {
              e.printStackTrace();
              JOptionPane.showMessageDialog(frame,
                                            "Ne peut prparer la requte",
                                            "Erreur", JOptionPane.ERROR_MESSAGE);
              System.exit(1);

            }
          }
          else {
            try {
              switch (valueTypes[j]) {
                case Types.INTEGER:
                  preparedStatement.setInt(j + 1,
                                           Integer.parseInt( (String) table.
                      getValueAt(i, j)));
                  break;
                case Types.REAL:
                  preparedStatement.setFloat(j + 1,
                                             Float.parseFloat( (String) table.
                      getValueAt(i, j)));
                  break;
                case Types.VARCHAR:
                  preparedStatement.setString(j + 1,
                                              (String) table.getValueAt(i, j));
                  System.out.println( (String) table.getValueAt(i, j) +
                                     " et j = " + j + " et nbColumns = " +
                                     nbColumns);
                  break;
                case Types.DATE:
                  preparedStatement.setDate(j + 1,
                                            Utils.stringToDate( (String) table.
                      getValueAt(i, j)));
                  break;
              }

            }
            catch (SQLException e) {
              e.printStackTrace();
              JOptionPane.showMessageDialog(frame,
                                            "Ne peut prparer la requte",
                                            "Erreur", JOptionPane.ERROR_MESSAGE);
              System.exit(1);

            }
            // si valeur saisie est incorrecte
            catch (Exception e) {
              JOptionPane.showMessageDialog(frame,
                                            "Valeur incorrecte ligne " + i +
                                            ", colonne " + j +
                                            " : abandon de la mise  jour",
                                            "Warning",
                                            JOptionPane.WARNING_MESSAGE);
              return; // on abandonne la mise  jour
            }

          }

        }
        // si toutes les valeurs sont correctes, on effectue notre requte
        try {
          preparedStatement.executeUpdate();
          JOptionPane.showMessageDialog(frame,
                                            "Mise  jour effectue avec succs !",
                                            "Information",
                                            JOptionPane.INFORMATION_MESSAGE);

        }
        catch (SQLException e) {
          e.printStackTrace();
          JOptionPane.showMessageDialog(frame,
                                        "Ne peut excuter la mise  jour",
                                        "Erreur", JOptionPane.ERROR_MESSAGE);
          System.exit(1);
        }

      }

    }

    try {
      preparedStatement.close();
    }
    catch (SQLException ex3) {
      ex3.printStackTrace();
      System.exit(1);
    }

  }

}
