package agence;
import java.sql.*;
import javax.swing.table.*;
import javax.swing.*;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.GregorianCalendar;

public abstract class MaTableModelAbstraite extends AbstractTableModel {

  private ArrayList values = null;
  private int nbRows = 0;
  private int nbColumns = 0;
  private String[] columnNames = null;

  public MaTableModelAbstraite (String[] columnNames) {
    this.columnNames = columnNames;
  }

  public Object getValueAt (int rowIndex, int columnIndex) {
    return ( (ArrayList) (values.get(rowIndex))).get(columnIndex);
  }

  public int getRowCount () {
    return nbRows;
  }

  public int getColumnCount () {
    return nbColumns;
  }

  public String convDate (Timestamp tstamp) {

    java.util.Date d = new java.util.Date(tstamp.getTime());
    GregorianCalendar c = new GregorianCalendar();
    c.setTime(d);

    String s = c.get(Calendar.DAY_OF_MONTH) + "-";
    int month = c.get(Calendar.MONTH);

    switch (month) {
      case Calendar.JANUARY:
        s += "JAN-";
        break;
      case Calendar.FEBRUARY:
        s += "FEB-";
        break;
      case Calendar.MARCH:
        s += "MAR-";
        break;
      case Calendar.APRIL:
        s += "APR-";
        break;
      case Calendar.MAY:
        s += "MAY-";
        break;
      case Calendar.JUNE:
        s += "JUN-";
        break;
      case Calendar.JULY:
        s += "JUL-";
        break;
      case Calendar.AUGUST:
        s += "AUG-";
        break;
      case Calendar.SEPTEMBER:
        s += "SEP-";
        break;
      case Calendar.OCTOBER:
        s += "OCT-";
        break;
      case Calendar.NOVEMBER:
        s += "NOV-";
        break;
      case Calendar.DECEMBER:
        s += "DEC-";
        break;
    }

    s += c.get(Calendar.YEAR);

    return s;
  }

  public void setValues (ResultSet rset) {

    try {
      ResultSetMetaData metaData = rset.getMetaData();
      nbColumns = metaData.getColumnCount();
      values = new ArrayList();

      while (rset.next()) {
        nbRows++;
        ArrayList newRow = new ArrayList();
        for (int i = 1; i <= nbColumns; i++) {
          Object o = rset.getObject(i);
          if (! (o instanceof Timestamp)) {
            newRow.add(o);
          }
          else {
            newRow.add(convDate( (Timestamp) o));
          }
        }
        values.add(newRow);
      }
    }
    catch (SQLException ex) {
      ex.printStackTrace();
      System.exit(1);
    }

  }

  public String getColumnName (int column) {
    return columnNames[column];
  }

}
