package agence;
import javax.swing.JFrame;
import java.sql.*;
import javax.swing.JOptionPane;

public abstract class TableModelRequeteParametreeAbstraite extends
    MaTableModelAbstraite {

  private PreparedStatement preparedStatement = null;
  private ResultSet rset = null;

  public TableModelRequeteParametreeAbstraite (String req,
                                                String[] columnNames,
                                                String[] params,
                                                Object[] values,
                                                String[] valueNames,
                                                int[] valueTypes,
                                                Connection conn, JFrame frame) {

    super(columnNames);

    try {
      preparedStatement = conn.prepareStatement(req);
    }
    catch (SQLException ex) {
      ex.printStackTrace();
      JOptionPane.showMessageDialog(frame,
                                    "Ne peut creer de PreparedStatement",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    try {

      for (int i = 0; i < params.length; i++) {

        Object o = null;
        int j = 0;

        while (!valueNames[j].equals(params[i])) {
          j++;
        }

        o = values[j];

        switch (valueTypes[j]) {
          case Types.VARCHAR:
            preparedStatement.setString(i + 1, (String) o);
            break;
          case Types.REAL:
            preparedStatement.setFloat(i + 1, ( (Float) o).floatValue());
            break;
          case Types.INTEGER:
            preparedStatement.setInt(i + 1, ( (Integer) o).intValue());
            break;
          case Types.DATE:
            preparedStatement.setDate(i + 1, ( (Date) o));
        }

      }

    }
    catch (SQLException ex1) {
      ex1.printStackTrace();
      JOptionPane.showMessageDialog(frame, "Ne peut preparer la requete",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    try {
      rset = preparedStatement.executeQuery();
    }
    catch (SQLException ex2) {
      ex2.printStackTrace();
      JOptionPane.showMessageDialog(frame, "Ne peut executer la requete",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    setValues(rset);

    try {
      preparedStatement.close();
    }
    catch (SQLException ex3) {
      ex3.printStackTrace();
      System.exit(1);
    }

  }

}
