-- creation_remplissage.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --

-- ******************** --
-- derniere mise a jour --
--      02-12-2007      --
--         par          --
--       EL AFRIT       --
-- ******************** --

-- phpMyAdmin SQL Dump
-- version 2.9.1.1
-- http://www.phpmyadmin.net
-- 
-- Serveur: localhost
-- Gnr le : Dimanche 25 Novembre 2007  01:24
-- Version du serveur: 5.0.27
-- Version de PHP: 5.2.5
-- 
-- Base de donnes: `agence_immob`
-- 
DROP DATABASE `agence_immob`;
CREATE DATABASE `agence_immob` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `agence_immob`;

-- --------------------------------------------------------

-- 
-- Structure de la table `ville`
-- 

DROP TABLE IF EXISTS `ville`;
CREATE TABLE IF NOT EXISTS `ville` (
  `code_postal` int(11) NOT NULL,
  `nom_ville` char(20) NOT NULL,
  PRIMARY KEY  (`code_postal`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='liste des villes avec leur code postal';

-- 
-- Contenu de la table `ville`
-- 

INSERT INTO `ville` (`code_postal`, `nom_ville`) VALUES 
(33000,'Bordeaux'),
(33400,'Talence'),
(33600,'Pessac'),
(33700,'Merignac'),
(38000,'Ville_Grenoble'),
(29300,'Ville_Ty Meur'),
(69001,'Ville_Fourviere'),
(69009,'Ville_Vaise'),
(35000,'Ville_jean');

-- --------------------------------------------------------

-- 
-- Structure de la table `quartier`
-- 

DROP TABLE IF EXISTS `quartier`;
CREATE TABLE IF NOT EXISTS `quartier` (
  `num_quartier` int(11) NOT NULL auto_increment COMMENT 's''incrmente automatiquement',
  `nom_quartier` char(20) NOT NULL,
  `code_postal` int(11) NOT NULL,
  PRIMARY KEY  (`num_quartier`),
  FOREIGN KEY (`code_postal`) references ville (`code_postal`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COMMENT='table des quartiers de la base' AUTO_INCREMENT=7 ;

-- 
-- Contenu de la table `quartier`
-- 

INSERT INTO `quartier` (`num_quartier`, `nom_quartier`, `code_postal`) VALUES 
(1,'Chartron',33000),
(2,'ART_et_METIERS',33400),
(3,'Ty Meur',29300),
(4,'Fourviere',69001),
(5,'Vaise',69009),
(6,'jean',35000);

-- --------------------------------------------------------

-- 
-- Structure de la table `immeuble`
-- 

DROP TABLE IF EXISTS `immeuble`;
CREATE TABLE IF NOT EXISTS `immeuble` (
  `num_immeuble` int(11) NOT NULL auto_increment COMMENT 'incrementation automatique',
  `num_quartier` int(11) NOT NULL COMMENT 'a partir de la table quartier',
  `nom_immeuble` char(20) NOT NULL default 'immeuble',
  `date_cons` date default NULL,
  `date_last_refection` date default NULL,
  `complement_adresse` char(40) default 'complement adresse',
  `etat` char(10) NOT NULL default 'dispo',
  PRIMARY KEY  (`num_immeuble`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COMMENT='liste des immeubles' AUTO_INCREMENT=8 ;

-- 
-- Contenu de la table `immeuble`
-- 

INSERT INTO `immeuble` (`num_immeuble`, `num_quartier`, `nom_immeuble`, `date_cons`, `date_last_refection`, `complement_adresse`, `etat`) VALUES 
(1,2,'Cloitre de Segur','01-jan-1985','25-mar-1999','20 Rue de Segur','dispo'),
(2,3,'Aigle','01-jan-1970','28-jun-1980','45 Rue Sainte Catherine','dispo'),
(3,1,'La Cabane','14-jul-2003','12-oct-2007','1 Avenue des facultes','dispo'),
(4,4,'Terrasses de St Jean','17-nov-1950','12-feb-1998','13 Rue Vauban','dispo'),
(5,5,'Bellevue','29-oct-1966','12-feb-1998','23 Rue de la Duchere','dispo'),
(6,3,'Oree de St Cyr','20-dec-2005','20-dec-2005','5 Rue Pasteur','dispo'),
(7,2,'Belvedere','05-aug-1986','13-apr-2000','10 Rue de la Poste','dispo');

-- --------------------------------------------------------

-- 
-- Structure de la table `categorie`
-- 

DROP TABLE IF EXISTS `categorie`;
CREATE TABLE IF NOT EXISTS `categorie` (
  `num_categorie` int(11) NOT NULL auto_increment COMMENT 'incrementation automatique',
  `nom_categorie` char(10) NOT NULL,
  `surface` int(11) NOT NULL default '0',
  `loyer_min` int(11) NOT NULL default '0',
  `loyer_moy` int(11) NOT NULL default '0',
  `loyer_max` int(11) NOT NULL default '0',
  PRIMARY KEY  (`num_categorie`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

-- 
-- Contenu de la table `categorie`
-- 

INSERT INTO `categorie` (`num_categorie`, `nom_categorie`, `surface`, `loyer_min`, `loyer_moy`, `loyer_max`) VALUES 
(1, 'F1', 15, 500, 600, 700),
(2, 'F2', 29, 700, 900, 1100),
(3, 'F3', 45, 1400, 1600, 2000),
(4, 'F4', 60, 1800, 2200, 2500),
(5, 'F5', 70, 2400, 2800, 3000),
(6, 'F6', 80, 3000, 3500, 4500),
(7, 'STUDIO', 23, 600, 700, 900),
(8, 'CABANE', 13, 400, 500, 700);

-- --------------------------------------------------------

-- 
-- Structure de la table `etat`
-- 

DROP TABLE IF EXISTS `etat`;
CREATE TABLE IF NOT EXISTS `etat` (
  `num_etat` int(11) NOT NULL auto_increment,
  `nom_etat` char(10) NOT NULL,
  PRIMARY KEY  (`num_etat`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- 
-- Contenu de la table `etat`
-- 

INSERT INTO `etat` (`num_etat`, `nom_etat`) VALUES 
(1, 'Vetuste'),
(2, 'a renover'),
(3, 'Bon'),
(4, 'Neuf');

-- --------------------------------------------------------

-- 
-- Structure de la table `personne`
-- 

DROP TABLE IF EXISTS `personne`;
CREATE TABLE IF NOT EXISTS `personne` (
  `nss` int(11) NOT NULL auto_increment,
  `nom` varchar(15) NOT NULL,
  `prenom` varchar(15) NOT NULL,
  `date_naissance` date NOT NULL,
  `profession` char(30) NOT NULL default 'NC',
  `revenu` int(11) NOT NULL default '0',
  `situation_prof` varchar(20) NOT NULL default 'NC',
  `prestation_sociale` int(11) NOT NULL default '0',
  PRIMARY KEY  (`nss`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=29 ;

-- 
-- Contenu de la table `personne`
-- 

INSERT INTO `personne` (`nss`, `nom`, `prenom`, `date_naissance`, `profession`, `revenu`, `situation_prof`, `prestation_sociale`) VALUES 
(1,'Bonneau','Jean','01-dec-1957','Boucher',1500,'Independant',0),
(2,'Martin','Ben','25-mar-1986','Etudiant',0,'Etudiant',120),
(3,'Zotto','Henri','12-jul-1980','Assistant traiteur',1200,'Salarie CDI',50),
(4,'ANDRE','EMILIAN','21-jan-1965','Avocat',6500,'Salarie CDI',0),
(5,'HENRI','THERRY','05-oct-1967','Chirurgien',7500,'Salarie CDI',0),
(6,'BARTEZ','FABIEN','21-jan-1970','professeur',2500,'Salarie CDI',0),
(7,'MAKHLOUF','MEHDI','06-feb-1979','Decorateur',4500,'Salarie CDI',0),
(8,'ELAFRIT','MOHAMED','11-jul-1970','Condicteur',2000,'Salarie CDD',40),
(9,'KHABOU','AMAL','05-aug-1960','Ingenieur',3500,'Salarie CDI',0),
(10,'GATTI','STEPHANIE','09-nov-1974','MUSICIEN',5500,'Independant',0),
(11,'HENRY','SYLVAIN','15-oct-1967','Chirurgien',6500,'Salarie CDI',0),
(12,'CATANESE','CECILE','05-apr-1975','Ingenieur',4500,'Salarie CDI',0),
(13,'MANSOUR','FREDERIC','08-may-1971','Ophtalmologue',8500,'Salarie CDI',0),
(14,'Martini','Plouquette','30-mar-1969','Dentiste',4500,'Independant',0),
(15,'LACHAT','CEDRIC','05-oct-1980','Commercial',3500,'Salarie CDI',0),
(16,'Martin','GUILLAUME','09-may-1964','Professeur',4500,'Salarie CDI',0),
(17,'Martin','Celine','25-oct-1987','Etudiant',0,'Etudiant',550),
(18,'Martin','Agnes','29-oct-1967','Vendeuse',1500,'Salarie CDD',0),
(19,'DUPONT','BERTRAND','28-mar-1985','ETUDIANT',0,'ETUDIANT',0),
(20,'MERBETH','GAEL','22-may-1989','Serveur',1200,'Salarie CDD',200),
(21,'DUPONT','Pierre','05-oct-1956','Opticien',8500,'Independant',0),
(22,'DUPONT','AURELIE','12-sep-1960','Institutrice',2500,'Salarie CDI',0),
(23,'DUPONT','DELPHINE','23-jan-1986','Etudiant',0,'Etudiant',150),
(24,'DUPONT','ALICE','14-apr-1980','Ingenieur',3500,'Salarie CDI',0),
(25,'Zoro','Henri','12-jul-1970','traiteur',1200,'Salarie CDI',50),
(26,'ANDRE','caty','1-jan-1965','Avocat',6500,'Salarie CDI',0),
(27,'HENRI','claude','15-oct-1969','sportif',7500,'Salarie CDI',0),
(28,'coupet','greg','12-jan-1975','professeur',2500,'Salarie CDI',0);

-- --------------------------------------------------------

-- 
-- Structure de la table `logement`
-- 

DROP TABLE IF EXISTS `logement`;
CREATE TABLE IF NOT EXISTS `logement` (
  `num_logement` int(11) NOT NULL auto_increment,
  `num_immeuble` int(11) NOT NULL,
  `num_categorie` int(11) NOT NULL,
  `num_etat` int(11) NOT NULL,
  `nss` int(11) NOT NULL,
  `adresse_prop` char(80) NOT NULL default 'NC',
  `date_last_refection` date NOT NULL,
  `disponibilite` char(10) NOT NULL default 'dispo',
  PRIMARY KEY (`num_logement`),
  FOREIGN KEY (`num_immeuble`) references immeuble (`num_immeuble`),
  FOREIGN KEY (`num_categorie`) references categorie (`num_categorie`),
  FOREIGN KEY (`num_etat`) references etat (`num_etat`),
  FOREIGN KEY (`nss`) references personne (`nss`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=115 ;

-- 
-- Contenu de la table `logement`
-- 

INSERT INTO `logement` (`num_logement`, `num_immeuble`, `num_categorie`, `num_etat`, `nss`, `adresse_prop`, `date_last_refection`, `disponibilite`) VALUES 
(100,1,1  ,1,1,'2 rue Francois Mitterand Paris 75000','04-jul-2001','dispo'),
(101,1,6  ,2,2,'20 Rue de Segur Bordeaux 33000','08-apr-2002','dispo'),
(102,2,5  ,2,3,'3 rue Jean Jaures Bordeaux 33000','25-aug-1999','dispo'),
(103,2,7  ,3,4,'5 rue Allemagne Toulouse','13-dec-1997','dispo'),
(104,2,2  ,4,5,'34 rue belvedere Paris 75000','25-aug-1999','dispo'),
(105,3,4  ,2,6,'5 avenue Neil Armstrong Merignac 33700','14-jul-2003','dispo'),
(106,4,3  ,3,7,'12 Avenue des Pythagores Pessac 33600','12-jul-2001','dispo'),
(107,4,8  ,3,8,'14 rue des martyres bordeaux 33000','06-jan-2003','dispo'),
(108,5,6  ,2,9,'55 avenue des cristalines Toulouse','18-feb-2005','dispo'),
(109,5,4  ,1,10,'13 rue des factures bordeaux 33000','29-mar-2006','dispo'),
(110,5,4  ,4,11,'29 rue des jolis Grenoble 38000','29-oct-2006','dispo'),
(111,5,6  ,4,12,'14 rue Italie pessac 33600','29-oct-2001','dispo'),
(112,6,1  ,1,13,'7 avenue de France Paris 75000','01-jan-2007','dispo'),
(113,6,4  ,3,14,'87 place Espagne Barcelone','03-jan-2007','dispo'),
(114,7,2  ,4,15,'25 Avenue Hamilcar Toulouse','25-jul-2006','dispo');

-- --------------------------------------------------------

-- 
-- Structure de la table `bail`
-- 

DROP TABLE IF EXISTS `bail`;
CREATE TABLE IF NOT EXISTS `bail` (
  `num_bail` int(11) NOT NULL auto_increment,
  `num_logement` int(11) NOT NULL,
  `date_signature` date NOT NULL,
  `caution` int(11) NOT NULL default '0',
  `date_fin` date NOT NULL,
  PRIMARY KEY  (`num_bail`),
  FOREIGN KEY (`num_logement`) references logement (`num_logement`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=24 ;

-- 
-- Contenu de la table `bail`
-- 

INSERT INTO `bail` (`num_bail`, `num_logement`, `date_signature`, `caution`, `date_fin`) VALUES 
(1,103,'01-jan-1998',5600,'01-jan-2004'),
(2,103,'30-jan-2005',6000,'30-jan-2008'),
(3,110,'15-apr-1992',1400,'15-apr-1995'),
(4,110,'15-jun-1995',1000,'15-jun-2004'),
(5,110,'26-aug-2004',1200,'26-aug-2010'), 
(6,101,'01-jan-1993',1400,'01-jan-1996'), 
(7,101,'01-jan-1996',1400,'01-jan-1999'), 
(8,101,'01-jan-1999',1400,'01-jan-2002'), 
(9,101,'01-jan-2001',1400,'01-jan-2004'), 
(10,101,'01-jan-2004',1400,'01-jan-2007'), 
(11,101,'01-jan-2007',1400,'01-jan-2010'), 
(12,114,'15-feb-1995',3600,'15-feb-2004'), 
(13,114,'01-mar-2004',3600,'01-mar-2013'), 
(14,102,'30-jan-1997',9000,'30-jan-2003'), 
(15,102,'01-may-2000',6000,'01-may-2009'), 
(16,106,'01-may-1999',5000,'01-may-2008'), 
(17,112,'01-feb-1994',9000,'01-feb-1997'), 
(18,112,'15-sep-1997',7000,'15-sep-2003'), 
(19,112,'01-oct-2003',6000,'01-oct-2012'), 
(20,107,'06-jun-2000',2800,'06-jun-2009'), 
(21,108,'01-jul-2002',800, '01-jul-2011'), 
(22,108,'21-dec-1999',6000,'21-dec-2008'), 
(23,105,'01-aug-2004',1400,'01-aug-2013'); 

-- --------------------------------------------------------

-- 
-- Structure de la table `facture`
-- 

DROP TABLE IF EXISTS `facture`;
CREATE TABLE IF NOT EXISTS `facture` (
  `num_facture` int(11) NOT NULL auto_increment,
  `num_bail` int(11) NOT NULL,
  `date_payement` date NOT NULL,
  `charge_mens` int(11) NOT NULL default '0',
  `loyer` int(11) NOT NULL,
  PRIMARY KEY  (`num_facture`),
  FOREIGN KEY (`num_bail`) references bail (`num_bail`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5033 ;

-- 
-- Contenu de la table `facture`
-- 

INSERT INTO `facture` (`num_facture`, `num_bail`, `date_payement`, `charge_mens`, `loyer`) VALUES 
(5000, 1, '01-jan-2007', 100,700),
(5001, 1, '01-feb-2007', 150,700),
(5002, 1, '01-mar-2007', 200,700),
(5003, 1, '01-apr-2007', 250,700),
(5004, 1, '01-may-2007', 300,700),
(5005, 1, '01-jun-2007', 350,700),
(5006, 1, '01-jul-2007', 400,700),
(5007, 1, '01-aug-2007', 450,700),
(5008, 1, '01-sep-2007', 500,700),
(5009, 1, '01-oct-2007', 550,700),
(5010, 1, '01-nov-2007', 100,700),
(5011, 1, '01-dec-2007', 150,700),
(5012, 6, '01-jan-2007', 200,3000),
(5013, 6, '01-feb-2007', 250,3000),
(5014, 6, '01-mar-2007', 300,3000),
(5015, 6, '01-apr-2007', 350,3000),
(5016, 6, '01-may-2007', 400,3000),
(5017, 6, '01-jun-2007', 450,3000),
(5018, 6, '01-jul-2007', 500,3000),
(5019, 6, '01-aug-2007', 550,3000),
(5020, 6, '01-sep-2007', 100,3000),
(5021, 6, '01-oct-2007', 150,3000),
(5022, 6, '01-nov-2007', 200,3000),
(5023, 6, '01-dec-2007', 250,3000),
(5024, 3, '01-jan-2007', 300,1800),
(5025, 3, '01-feb-2007', 350,1800),
(5026, 3, '01-mar-2007', 400,1800),
(5027, 3, '01-apr-2007', 450,1800),
(5028, 3, '01-may-2007', 500,1800),
(5029, 3, '01-jun-2007', 550,1800),
(5030, 3, '01-jul-2007', 100,1800),
(5031, 3, '01-aug-2007', 150,1800),
(5032, 6, '01-dec-2007', 250,3000);

-- --------------------------------------------------------

-- 
-- Structure de la table `signe_par`
-- 

DROP TABLE IF EXISTS `signe_par`;
CREATE TABLE IF NOT EXISTS `signe_par` (
  `nss` int(11) NOT NULL,
  `num_bail` int(11) NOT NULL,
  `type_sign` char(25) NOT NULL default 'NC',
  `adresse_sign` char(60) default 'ND',
  PRIMARY KEY  (`nss`,`num_bail`),
  FOREIGN KEY (`nss`) references personne (`nss`),
  FOREIGN KEY (`num_bail`) references bail (`num_bail`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `signe_par`
-- 

INSERT INTO `signe_par` (`nss`, `num_bail`, `type_sign`, `adresse_sign`) VALUES 
(16,1,'locataire',NULL),
(16,2,'locataire',NULL),
(19,3,'locataire',NULL),
(19,4,'locataire',NULL),
(19,5,'locataire',NULL),
(20,7,'locataire',NULL),
(20,8,'locataire',NULL),
(21,14,'locataire',NULL),
(21,15,'locataire',NULL),
(25,17,'payant_non_locataire','15 avenue de thouars Bordeaux 33000'),
(25,18,'payant_non_locataire','15 avenue de thouars Bordeaux 33000'),
(25,19,'payant_non_locataire','15 avenue de thouars Bordeaux 33000'),
(26,13,'payant_non_locataire','23 rue des beaux arts Merignac 33700'),
(26,16,'payant_non_locataire','23 rue des beaux arts Merignac 33700'),
(27,21,'Garant','19 rue de la liberte Pessac 33600'),
(28,22,'Garant','60 rue de la paix Bordeaux 33000');

-- --------------------------------------------------------

-- 
-- Structure de la table `definit_locataire`
-- 

DROP TABLE IF EXISTS `definit_locataire`;
CREATE TABLE IF NOT EXISTS `definit_locataire` (
  `nss` int(11) NOT NULL,
  `num_bail` int(11) NOT NULL,
  PRIMARY KEY  (`nss`,`num_bail`),
  FOREIGN KEY (`nss`) references personne (`nss`),
  FOREIGN KEY (`num_bail`) references bail (`num_bail`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `definit_locataire`
-- 

INSERT INTO `definit_locataire` (`nss`, `num_bail`) VALUES 
(16,1),
(16,2),
(17,1),
(18,2),
(17,2),
(19,3),
(19,4),
(19,5),
(20,7),
(20,8),
(22,14),
(22,15),
(21,14),
(21,15),
(23,14),
(24,15),
(24,14);

-- --------------------------------------------------------

-- 
-- Structure de la table `est_a_charge`
-- 

DROP TABLE IF EXISTS `est_a_charge`;
CREATE TABLE IF NOT EXISTS `est_a_charge` (
  `nss1` int(11) NOT NULL,
  `nss2` int(11) NOT NULL,
  PRIMARY KEY  (`nss1`,`nss2`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `est_a_charge`
-- 
