-- requetes_personne.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --
--***************************--
--  Requtes Personne        --
--***************************--

--Revenus totaux d'une famille donee occupant un logement d'un immeuble donne
--(ex: MARTIN, Aigle)

PROMPT Revenus totaux de famille X occupant un logement dans un immeuble Y:
ACCEPT nomfamille PROMPT 'entrez le nom de la famille: '
ACCEPT nomimmeuble PROMPT 'entrez le nom immeuble: '
Select sum(P.revenu) 
       from personne P , bail B, definit_locataire D
       WHERE (B.num_bail = D.num_bail)
       AND (D.nss = P.nss)
       AND (P.Nom = '&nomfamille')
       AND (B.num_bail IN 
       	   	       	(Select B.num_bail 
		     	    from immeuble I , logement L, bail B
		     	    WHERE (I.nom_immeuble = '&nomimmeuble')
		     	    AND (I.num_immeuble = L.num_immeuble)
		     	    AND (L.num_logement = B.num_logement)
		     	    AND (B.date_fin > SYSDATE)));


--Loyer(avec les charges) paye mensuellement par un locataire
--(ex: DUPONT Bertrand)

PROMPT Loyer paye mensuellement par un locataire donne:
ACCEPT nomloca PROMPT 'entrez le nom du locataire: '
ACCEPT prenomloca PROMPT 'entrez le prenom du locataire: '
Select avg(F.loyer + F.charges_mens) AS total_paye_mensuellement
	FROM facture F, signe_par S, bail B, personne P 
	WHERE (S.nss = P.nss)
	AND  (P.nom = '&nomloca')
    AND (P.prenom = '&prenomloca')
    AND (S.num_bail=B.num_bail)
	AND(B.date_fin>sysdate)
	AND (F.num_bail=B.num_bail);

--la requete est bonne il faut juste adapter le remplissage pour qu'elle
--donne un resultat.

--Total mensuel moyen des loyers collectes par un proprietaire donne
--On suppose que le proprietaire ne prend que 95% du loyer
--(ex: MARTIN Ben)

PROMPT Total mensuel moyen des loyers collectes par un proprietaire donne:
ACCEPT nompro PROMPT 'entrez le nom du proprietaire: '
ACCEPT prenompro PROMPT 'entrez le prenom du proprietaire: '
Select (avg( loyer)*0.95) as Total_moyen
       FROM facture F, bail B
       WHERE (F.num_bail = b.num_bail)
       AND B.num_bail IN
       	   	    (Select num_bail
		      	FROM bail B1, logement_reel L
			    WHERE (B1.num_logement = L.num_logement)
			    AND L.num_logement IN
			      	  	        (Select num_logement
					       	    FROM logement_reel L1, personne P
						        WHERE (L1.nss = p.nss)
						        AND (p.nom = '&nompro')
						        AND (P.prenom = '&prenompro')));

--Liste des occupants ayant un retard de loyer pour un immeuble donne
--(ex: immeuble Aigle)
--cette requete doit etre executer a la fin du mois en cours 

PROMPT Liste des occupants ayant un retard de loyer pour un immeuble donne:
ACCEPT nomimmeuble PROMPT'entrez le nom immeuble: '
SELECT L.num_logement, I.nom_immeuble, P.nom AS nom_locataire, P.prenom AS prenom_loctaire
	FROM bail B, logement_reel L, immeuble_reel I, personne P, signe_par S
	WHERE (B.num_logement=L.num_logement)
	AND (I.num_immeuble=L.num_immeuble)
	AND (I.nom_immeuble= '&nomimmeuble')
	AND (S.num_bail=B.num_bail)
	AND (S.nss = P.nss)
	AND    B.num_bail  IN
		(SELECT F.num_bail
			FROM facture F , bail B
			WHERE (B.num_bail=F.num_bail)
			AND   (F.date_payement >= (select trunc( sysdate , 'mon') + 9 FROM dual) ));

